Partition (Groovy 5.1.0)
Description: declaration: package: org.apache.groovy.ginq.provider.collection.runtime, interface: Partition

Package org.apache.groovy.ginq.provider.collection.runtime

# Interface Partition<T>

Type Parameters:
  `T` - the type of element

All Superinterfaces:
  `Queryable<T>`

public interface Partition<T> extends Queryable<T>
Represents partition

Since:
  4.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.groovy.ginq.provider.collection.runtime.Queryable

  `Queryable.Order<T,U extends Comparable<? super U>>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Partition`
  `EMPTY_PARTITION`
  Represents the empty Partition instance

  ### Fields inherited from interface org.apache.groovy.ginq.provider.collection.runtime.Queryable

  `EMPTY_QUERYABLE, NULL`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static <T> Partition<T>`
  `emptyPartition()`
  Returns the empty Partition instance
  `static <T> Partition<Tuple2<T,Long>>`
  `of(List<Tuple2<T,Long>> listWithIndex)`
  Factory method to create `Partition` instance

  ### Methods inherited from interface org.apache.groovy.ginq.provider.collection.runtime.Queryable

  `agg, avg, count, count, crossJoin, distinct, exists, fullHashJoin, fullJoin, groupBy, groupBy, innerHashJoin, innerJoin, intersect, leftHashJoin, leftJoin, limit, limit, list, max, median, min, minus, orderBy, orderBy, over, rightHashJoin, rightJoin, select, size, stdev, stdevp, stream, sum, toList, union, unionAll, var, varp, where`

- ## Field Details

  - ### EMPTY_PARTITION

    static final Partition EMPTY_PARTITION
    Represents the empty Partition instance
    Since:
      4.0.0

- ## Method Details

  - ### of

    static <T> Partition<Tuple2<T,Long>> of(List<Tuple2<T,Long>> listWithIndex)
    Factory method to create `Partition` instance
    Type Parameters:
      `T` - the type of element
    Parameters:
      `listWithIndex` - the list with index
    Returns:
      the `Partition` instance
    Since:
      4.0.0

  - ### emptyPartition

    static <T> Partition<T> emptyPartition()
    Returns the empty Partition instance
    Type Parameters:
      `T` - the type of element
    Returns:
      the empty Partition instance
    Since:
      4.0.0